openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/AKB_GET_COMPATIBILITY_STATE:
    post:
      tags:
      - PA_AKB_COMPCHECK
      operationId: /rfc/AKB_GET_COMPATIBILITY_STATE
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CHECK_ONLY:
                  type: string
                  default: X
                  maxLength: 1
                CHECK_PROJECT:
                  type: integer
                  format: int64
                  default: 9999
                  description: ID of a Backwards-Compatibility Check
                CLIENT:
                  type: object
                  properties:
                    NAME:
                      type: string
                      maxLength: 20
                      description: Software Product ID
                    REL:
                      type: string
                      maxLength: 10
                      description: SAP Release
                DISPLAY_RESULT:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Display check results
                EXCEPTION_ON_RFC_ERROR:
                  type: string
                  default: ' '
                  maxLength: 1
                EXPAND_CLAS:
                  type: string
                  default: X
                  maxLength: 1
                EXPAND_FUGR:
                  type: string
                  default: X
                  maxLength: 1
                FORCE_COMP_CHECK:
                  type: string
                  default: ' '
                  maxLength: 1
                SERVER:
                  type: object
                  properties:
                    NAME:
                      type: string
                      maxLength: 20
                      description: Software Product ID
                    REL:
                      type: string
                      maxLength: 10
                      description: SAP Release
                OBJECTS:
                  type: array
                  items:
                    type: object
                    properties:
                      OBJ_TYPE:
                        type: string
                        maxLength: 4
                        description: Object Type
                      OBJ_NAME:
                        type: string
                        maxLength: 40
                        description: Object Name in Object Directory
                      SUB_TYPE:
                        type: string
                        maxLength: 4
                        description: Object Type
                      SUB_NAME:
                        type: string
                        maxLength: 61
                        description: Compound component name or alias
                      APPL_TYPE:
                        type: string
                        maxLength: 4
                        description: Object Type
                      APPL_NAME:
                        type: string
                        maxLength: 40
                        description: Object Name in Object Directory
                      APPL_DLVUNIT:
                        type: string
                        maxLength: 30
                        description: Software Component
                      APPL_DLVUNIT_REL:
                        type: string
                        maxLength: 10
                        description: SAP Release
                      APPL_PACKET:
                        type: string
                        maxLength: 30
                        description: Application Package
                      CHANGED_ON:
                        type: string
                        format: date
                        description: Date of Last Change
                      CHANGED_AT:
                        type: string
                        maxLength: 6
                        description: Last changed at
                      CHANGED_BY:
                        type: string
                        maxLength: 12
                        description: Last Changed by
                      SEVERITY:
                        type: string
                        maxLength: 4
                        description: Error Severity
                      COMP_STATE:
                        type: string
                        maxLength: 1
                        description: Compatibility Status
                      FROZEN_STATE:
                        type: string
                        maxLength: 1
                        description: Frozen Status
                      INHERITANCE:
                        type: string
                        maxLength: 1
                        description: Single-Character Flag
                      STATE:
                        type: string
                        maxLength: 1
                        description: Single-Character Flag
                      DISTRIBUTED:
                        type: string
                        maxLength: 1
                        description: Single-Character Flag
                      RANDVAL:
                        type: integer
                        format: int32
                        description: Natural number
                      OLD_COMP_STATE:
                        type: string
                        maxLength: 1
                        description: Compatibility Status
              required:
              - OBJECTS
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  OBJECTS:
                    type: array
                    items:
                      type: object
                      properties:
                        OBJ_TYPE:
                          type: string
                          maxLength: 4
                          description: Object Type
                        OBJ_NAME:
                          type: string
                          maxLength: 40
                          description: Object Name in Object Directory
                        SUB_TYPE:
                          type: string
                          maxLength: 4
                          description: Object Type
                        SUB_NAME:
                          type: string
                          maxLength: 61
                          description: Compound component name or alias
                        APPL_TYPE:
                          type: string
                          maxLength: 4
                          description: Object Type
                        APPL_NAME:
                          type: string
                          maxLength: 40
                          description: Object Name in Object Directory
                        APPL_DLVUNIT:
                          type: string
                          maxLength: 30
                          description: Software Component
                        APPL_DLVUNIT_REL:
                          type: string
                          maxLength: 10
                          description: SAP Release
                        APPL_PACKET:
                          type: string
                          maxLength: 30
                          description: Application Package
                        CHANGED_ON:
                          type: string
                          format: date
                          description: Date of Last Change
                        CHANGED_AT:
                          type: string
                          maxLength: 6
                          description: Last changed at
                        CHANGED_BY:
                          type: string
                          maxLength: 12
                          description: Last Changed by
                        SEVERITY:
                          type: string
                          maxLength: 4
                          description: Error Severity
                        COMP_STATE:
                          type: string
                          maxLength: 1
                          description: Compatibility Status
                        FROZEN_STATE:
                          type: string
                          maxLength: 1
                          description: Frozen Status
                        INHERITANCE:
                          type: string
                          maxLength: 1
                          description: Single-Character Flag
                        STATE:
                          type: string
                          maxLength: 1
                          description: Single-Character Flag
                        DISTRIBUTED:
                          type: string
                          maxLength: 1
                          description: Single-Character Flag
                        RANDVAL:
                          type: integer
                          format: int32
                          description: Natural number
                        OLD_COMP_STATE:
                          type: string
                          maxLength: 1
                          description: Compatibility Status
                required:
                - OBJECTS
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
